{% extends 'base/base.html' %}

{% block page_content %}
   <form method="POST" class="form-inline" role="form" enctype="multipart/form-data">
       {% csrf_token %}
        <div class="col-xl-10 col-md-10 mb-10">
            
            {% if obj %}      
                <div class="card border-left-warning shadow h-100 py-2">
            {% else %}
                <div class="card border-left-success shadow h-100 py-2">
            {% endif %}
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                {% if obj %} Editar {% else %} Nuevo {% endif %} Apoyo
                            </div>                        
                            <div class="dropdown-divider"></div> 
                            
                            <div class="col mb-3">
                                <div class="card m-auto" style="width: 20rem;">
                                                                                                            
                                    {% if obj.foto_de_comprobacion %}
                                        <img src="{{ obj.foto_de_comprobacion.url }}" class="card-img-top" alt="..." height="250px" width="30px">
                                    {% endif %}                                        
                                                                        
                                    <div class="card-body">
                                      <h5 class="card-title text-md-center">Apoyo entregado a: <br> {{ obj.persona }}</h5>                                      
                                    </div>
                                </div>
                            </div>
                            
                            <!-- fila 1 -->
                            <div class="row mb-3">
                                <div class="col-md-4 text-uppercase font-weight-bold">
                                    {{ form.tipo.label }}:
                                    <div class="input-group">                                        
                                        {{ form.tipo }}
                                    </div>
                                </div>
                                <div class="col-md-4 text-uppercase font-weight-bold">
                                    {{ form.descripcion.label }}:
                                    <div class="input-group">
                                        {{ form.descripcion }}
                                    </div>
                                </div>
                                <div class="col-md-4 text-uppercase font-weight-bold ">
                                    <!-- {{ form.fecha_de_entrega.label }}:
                                    <div class="input-group">
                                        {{ form.fecha_de_entrega }}
                                    </div> -->
                                    {{ form.fecha_de_entrega.label }}:
                                    <div class="input-group">
                                        <input type="text" name="fecha_de_entrega" class="form-control" readonly id="id_fecha_de_entrega" value="{{ obj.fecha_de_entrega|date:'d/m/Y' }}">
                                    </div>
                                   
                                </div>
                            </div>

                            <!-- fila 2 -->
                            <div class="row mb-3">
                                <div class="col-md-6 text-uppercase font-weight-light">
                                    {{ form.foto_de_comprobacion.label }}:
                                    <div class="input-group">
                                        {{ form.foto_de_comprobacion }}
                                    </div>
                                </div>
                                
                                <div class="col-md-6 text-uppercase font-weight-light">
                                    {{ form.notas_adicionales.label }}:
                                    <div class="input-group">
                                        {{ form.notas_adicionales }}
                                    </div>
                                </div>
                            </div>

                            <!-- fila 3 -->
                            <div class="row mb-3">
                                <div class="col-md-6 text-uppercase font-weight-light">
                                    {{ form.persona.label }}:
                                    <div class="input-group">
                                        {{ form.persona }}
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    {{ form.localidad.label }}:
                                    <div class="input-group">
                                        {{ form.localidad }}
                                    </div>                                    
                                </div>
                             
                            </div>  
                            
                            <!-- fila 4 -->
                            <div class="row mb-3">
                                <div class="col-md-6 text-uppercase font-weight-light">
                                    {{ form.departamento.label }}:
                                    <div class="input-group">
                                        {{ form.departamento }}
                                    </div>
                                </div>  

                                <div class="col-md-6 text-uppercase font-weight-light">
                                    {{ form.encargado_de_ruta.label }}:
                                    <div class="input-group">
                                        {{ form.encargado_de_ruta }}
                                    </div>
                                </div>   

                            </div>
                            
                            <!-- {{ form.as_p }} -->
                            <div class="dropdown-divider"></div>
                            <div class="row mt-3">                                

                                <div class="col-4">
                                    <button type="submit" class="btn btn-danger btn-block">
                                        <span class="fa fa-save"></span> Guardar
                                    </button>
                                </div>

                                <div class="col-4">                                    
                                    <a href="{% url 'apoyos:apoyos_list' %}" class="btn btn-success btn-block">                                                                               
                                        <span class="fa fa-undo"></span> Cancelar                                         
                                    </a>                                  
                                </div>
                                    
                                <div class="col-4">
                                    <a href="{{ request.META.HTTP_REFERER }}" class="btn btn-secondary btn-block">
                                        <span class="icon text-white-50">
                                            <i class="fas fa-arrow-left"></i>
                                        </span>
                                        <span class="text">Regresar</span>
                                    </a>
                                </div>                                                                     
                            </div>                                  
                            
                        </div>                        
                    </div>
                </div>
            </div>
        </div>
   </form>  
{% endblock page_content %}    
{% block js_page %} 
<script>
    // carga del DOM
    $(function(){
        
        $("#id_fecha_de_entrega").datetimepicker({  
            format: 'd/m/Y',  
            timepicker:false  
        });  
                
    });
</script>
{% endblock js_page %}
    